# import gobject
# import os
# import time
import dbus

bus           = dbus.SessionBus()

# establish connection to dbus demon

#remote_object = bus.get_object("org.kde.kstars", "/KStars/INDI")
remote_object = bus.get_object("org.kde.kstars", "/KStars")

# org.kde.kstars: application name
# /KStars: object path, since application might export many objects
 
# remote_object.Introspect() # get info on available methods

#iface = dbus.Interface(remote_object, 'org.kde.kstars.INDI')
iface = dbus.Interface(remote_object, 'org.kde.kstars')
# generates a namespace

#iface.getSkyMapDimensions()
#iface.lookTowards('Vega')
#print(iface.getObjectDataXML('M 1'))

def getxmltag(xstring, name):
    d = xstring.rsplit('<'+name+'>')
    d = d[1].rsplit('</'+name+'>')
    return d[0]

for i in range(110):
    messier = 'M ' + str(i+1)
    a = iface.getObjectDataXML(messier)
    print(messier, ' : ', getxmltag(a, 'Constellation'), ' : ', 
          getxmltag(a,'Type'), ' : ', getxmltag(a,'Magnitude'))
